Subject: bug#21974: can't build guix without 'makeinfo'

From: Jan Synáček <[email-masked]>
Date: Sat, 21 Nov 2015 21:48:10 +0100

On Sat, Nov 21, 2015 at 9:40 PM, Ludovic Courtès <[email-masked]> wrote:
> Jan Synáček <[email-masked]> skribis:
>
>> The build fails with an error if the 'makeinfo' binary is missing on
>> the system. The configure script should check for 'makeinfo' and fail
>> if not found (or maybe warn that the docs won't be built?).
>
> ‘makeinfo’ is necessary when building from a checkout or otherwise
> modifying the manual, but it’s not necessary when building from a
> tarball.  See
> <https://www.gnu.org/software/guix/manual/html_node/Building-from-Git.html>.
>
> Can you confirm you were building from a checkout?

Yes, I was building from a checkout. Maybe it would make sense to make
it optional,
as 'help2man' is? I was only trying to test the latest version of guix
and wasn't really
interested in the documentation changes.

-- 
Jan Synáček